UbixOS V2 2.0

Public Member Functions
igmp_msg Struct Reference

`#include <igmp.h>`

Collaboration diagram for igmp_msg:

## Public Member Functions
| PACK_STRUCT_FIELD (u16_t igmp_checksum)
| PACK_STRUCT_FLD_8 (u8_t igmp_maxresp)
| PACK_STRUCT_FLD_8 (u8_t igmp_msgtype)
| PACK_STRUCT_FLD_S (ip4_addr_p_t igmp_group_address)

## Detailed Description

IGMP packet format.

Definition at line 75 of file igmp.h.

## Member Function Documentation

## ◆ PACK_STRUCT_FIELD()

igmp_msg::PACK_STRUCT_FIELD | ( | u16_t | igmp_checksum | ) |

## ◆ PACK_STRUCT_FLD_8() [1/2]

igmp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | igmp_maxresp | ) |

## ◆ PACK_STRUCT_FLD_8() [2/2]

igmp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | igmp_msgtype | ) |

## ◆ PACK_STRUCT_FLD_S()

igmp_msg::PACK_STRUCT_FLD_S | ( | ip4_addr_p_t | igmp_group_address | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/prot/igmp.h